OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
SyncVoxelMask< TreeType > Class Template Reference

`#include <MeshToVolume.h>`

## Public Types
using | ValueType = typename TreeType::ValueType
using | LeafNodeType = typename TreeType::LeafNodeType

## Public Member Functions
| SyncVoxelMask (std::vector< LeafNodeType * > &nodes, const bool *changedNodeMask, bool *changedVoxelMask)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
LeafNodeType **const | mNodes
const bool *const | mChangedNodeMask
bool *const | mChangedVoxelMask

## Member Typedef Documentation

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ SyncVoxelMask()

SyncVoxelMask | ( | std::vector< LeafNodeType * > & | nodes,
|  | const bool * | changedNodeMask,
|  | bool * | changedVoxelMask
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mChangedNodeMask

const bool* const mChangedNodeMask

## ◆ mChangedVoxelMask

bool* const mChangedVoxelMask

## ◆ mNodes

LeafNodeType** const mNodes

The documentation for this class was generated from the following file:

- MeshToVolume.h